- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Vec3f File Reference

`#include <ostream>`
`#include <osg/Vec2f>`
`#include <osg/Math>`

Include dependency graph for Vec3f:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Vec3f
| General purpose float triple for use as vertices, vectors and normals. More...
## Defines
#define | OSG_VEC3F 1
## Functions
std::ostream & | osg::operator<< (std::ostream &output, const Vec3f &vec)
## Variables
const Vec3f | osg::X_AXIS (1.0, 0.0, 0.0)
const Vec3f | osg::Y_AXIS (0.0, 1.0, 0.0)
const Vec3f | osg::Z_AXIS (0.0, 0.0, 1.0)

## Define Documentation

#define OSG_VEC3F 1